import { NativeModulesProxy, EventEmitter } from 'expo-modules-core';
// Import the native module. On web, it will be resolved to LibPoc.web.ts
// and on native platforms to LibPoc.ts
import LibPoc from './LibPocModule';
import LibPocView from './LibPocView';
// Get the native constant value.
export const PI = LibPoc.PI;
export function hello() {
    return LibPoc.hello();
}
export async function setValueAsync(value) {
    return await LibPoc.setValueAsync(value);
}
// For now the events are not going through the JSI, so we have to use its bridge equivalent.
// This will be fixed in the stable release and built into the module object.
// Note: On web, NativeModulesProxy.LibPoc is undefined, so we fall back to the directly imported implementation
const emitter = new EventEmitter(NativeModulesProxy.LibPoc ?? LibPoc);
export function addChangeListener(listener) {
    return emitter.addListener('onChange', listener);
}
export { LibPocView };
//# sourceMappingURL=LibPoc.js.map